Subject: Re: [SOLVED] Re: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 20 Dec 2021 19:03:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Christopher M. Miles" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 20 Dec 2021 13:20:02 +0800
> 
> > I think utf-8 is the right encoding of the file names, but the unzip
> > program and/or its interaction with Emacs doesn't work well.  Does
> > your unzip program support UTF-8 encoded file names?  What happens if
> > you extract the files from the archive using that unzip program?
> 
> I Google searched "macos "unzip" does not support utf-8 encoding".

Thanks for telling us, it makes sense now.  In fact, I'm seeing a very
similar problem on MS-Windows, where unzip also doesn't support UTF-8
file names (for different reasons), while on GNU/Linux everything
works as expected with your example zip file.

So I think we can close this bug, as this is not an Emacs bug.  For
extracting files from the zip archives, we rely on the unzip program.